Index: branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90
===================================================================
--- branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 6089)
+++ branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/nemogcm.F90	(revision 6092)
@@ -54,9 +54,5 @@
    USE icbini          ! handle bergs, initialisation
    USE icbstp          ! handle bergs, calving, themodynamics and transport
-#if defined key_oasis3
    USE cpl_oasis3      ! OASIS3 coupling
-#elif defined key_oasis4
-   USE cpl_oasis4      ! OASIS4 coupling (not working)
-#endif
    USE lib_mpp         ! distributed memory computing
 #if defined key_iomput
@@ -133,8 +129,9 @@
          &             nn_bench, nn_timing
       NAMELIST/namcfg/ cp_cfg, cp_cfz, jp_cfg, jpidta, jpjdta, jpkdta, jpiglo, jpjglo, &
-         &             jpizoom, jpjzoom, jperio
+         &             jpizoom, jpjzoom, jperio, ln_use_jattr
       !!----------------------------------------------------------------------
       !
       cltxt = ''
+      cxios_context = 'nemo'
       !
       !                             ! Open reference namelist and configuration namelist files
@@ -166,22 +163,23 @@
 #if defined key_iomput
       IF( Agrif_Root() ) THEN
-# if defined key_oasis3 || defined key_oasis4
-         CALL cpl_prism_init( ilocal_comm )      ! nemo local communicator given by oasis
-         CALL xios_initialize( "oceanx",local_comm=ilocal_comm )
-# else
-         CALL  xios_initialize( "nemo",return_comm=ilocal_comm )
-# endif
-      ENDIF
-      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection
+         IF( lk_oasis ) THEN
+            CALL cpl_init( ilocal_comm )                               ! nemo local communicator given by oasis
+            CALL xios_initialize( "oceanx",local_comm=ilocal_comm )    ! send nemo communicator to xios
+         ELSE
+            CALL  xios_initialize( "for_xios_mpi_id",return_comm=ilocal_comm )    ! nemo local communicator given by xios
+         ENDIF
+      ENDIF
+      ENDIF
+      narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection
 #else
-# if defined key_oasis3 || defined key_oasis4
-      IF( Agrif_Root() ) THEN
-         CALL cpl_prism_init( ilocal_comm )                 ! nemo local communicator given by oasis
-      ENDIF
-      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
-# else
-      ilocal_comm = 0
-      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop )                ! Nodes selection (control print return in cltxt)
-# endif
+      IF( lk_oasis ) THEN
+         IF( Agrif_Root() ) THEN
+            CALL cpl_init( ilocal_comm )                               ! nemo local communicator given by oasis
+         ENDIF
+         narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
+      ELSE
+         ilocal_comm = 0
+         narea = mynode( cltxt, 'output.namelist.dyn', numnam_ref, numnam_cfg, numond , nstop )                ! Nodes selection (control print return in cltxt)
+      ENDIF
 #endif
       narea = narea + 1                                     ! mynode return the rank of proc (0 --> jpnij -1 )
@@ -236,5 +234,5 @@
          WRITE(numout,*) '                       NEMO team'
          WRITE(numout,*) '            Ocean General Circulation Model'
-         WRITE(numout,*) '                  version 3.4  (2011) '
+         WRITE(numout,*) '                  version 3.6  (2015) '
          WRITE(numout,*)
          WRITE(numout,*)
Index: branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_data.F90
===================================================================
--- branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_data.F90	(revision 6089)
+++ branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_data.F90	(revision 6092)
@@ -40,4 +40,5 @@
    CHARACTER(len=128) :: &
       & alt_file                       !: altimeter file
+   !! $Id$
 CONTAINS
    SUBROUTINE ooo_data_init( ld_cl4 )
Index: branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_intp.F90
===================================================================
--- branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_intp.F90	(revision 6089)
+++ branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_intp.F90	(revision 6092)
@@ -16,4 +16,5 @@
    PUBLIC ooo_interp
 
+   !! $Id$
    CONTAINS
 
Index: branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90
===================================================================
--- branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90	(revision 6089)
+++ branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_read.F90	(revision 6092)
@@ -22,4 +22,5 @@
    PUBLIC ooo_rea_dri
 
+   !! $Id$
 CONTAINS
    SUBROUTINE ooo_rea_dri(kfile)
Index: branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_utils.F90
===================================================================
--- branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_utils.F90	(revision 6089)
+++ branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_utils.F90	(revision 6092)
@@ -10,4 +10,5 @@
    REAL(kind=dp), PARAMETER :: obfilldbl=99999.
 
+   !! $Id$
    CONTAINS
 
Index: branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90
===================================================================
--- branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90	(revision 6089)
+++ branches/2015/dev_agrif_v3_6_STABLE/NEMOGCM/NEMO/OOO_SRC/ooo_write.F90	(revision 6092)
@@ -29,4 +29,5 @@
    END INTERFACE
 
+   !! $Id$
    CONTAINS
 
